Bug 203445 - Sometimes ftp:// files can't be opened properly
Summary: Sometimes ftp:// files can't be opened properly
Status: RESOLVED FIXED
Alias: None
Product: kio
Classification: Frameworks and Libraries
Component: ftp (show other bugs)
Version: unspecified
Platform: Gentoo Packages Unspecified
: NOR normal (vote)
Target Milestone: ---
Assignee: David Faure
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-08-11 17:57 UTC by BRULE Herman
Modified: 2011-03-25 17:28 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 4.6.2


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description BRULE Herman 2009-08-11 17:57:34 UTC
Version:            (using KDE 4.3.0)
Installed from:    Gentoo Packages

Hello, when I double click on file on ftp, some time work, some time not work. Particular on filezilla server + small php file (<500Bytes).
Thanks to solve it.
Comment 1 Dario Andres 2009-08-11 19:21:37 UTC
- With "double click" do you mean to open the selected file? 
- If the file is not opened, do you get some error message ? 
- Does this happen with every file type or just with an specific one ?
- Have you experienced this behaviour with any other protocol, server or path ?
Thanks
Comment 2 BRULE Herman 2009-08-11 19:26:59 UTC
- Yes
- Unable to read file, are you sure you have the right....
- With lot of file type open with kwrite
- Not, I use only http, ftp and sftp, and only ftp have this bug.
Ps: I use konqueror.
Comment 3 FiNeX 2009-08-22 01:23:14 UTC
I've a similar bug: sometimes I cannot openin files from a FTP server (with kate/kwrite) I've an error message which tells: "could not connect to host localhost" or "impossible to open file: xxxx". After that, I wait some seconds and I retry to open it and usually it works.
Comment 4 FiNeX 2010-08-10 23:04:29 UTC
The bug on comment #3 is bug #197711 .
Comment 5 Dawit Alemayehu 2011-03-25 17:25:54 UTC
Git commit a1597d87a46e951fd62b632f250ee7ef223b51e4 by Dawit Alemayehu.
Committed on 24/03/2011 at 23:19.
Pushed by adawit into branch 'KDE/4.6'.

Emit the finished signals after calling ftpCloseCommand.

This fixes the problem where clicking on a file while browsing an FTP site does
not show its content. Instead only the associated application is launched and
either an error message, in case of kate, and/or a notification about the completion
of file copying is shown.

BUG:203445
BUG:181393
REVIEW:100941
FIXED-IN:4.6.2

M  +10   -8    kioslave/ftp/ftp.cpp     

http://commits.kde.org/kdelibs/a1597d87a46e951fd62b632f250ee7ef223b51e4
Comment 6 Dawit Alemayehu 2011-03-25 17:28:23 UTC
Git commit 7f7af640fbb5c36a3a79de66be8bdb0222509a67 by Dawit Alemayehu.
Committed on 25/03/2011 at 17:29.
Pushed by adawit into branch 'master'.

Emit the finished signals after calling ftpCloseCommand.

This fixes the problem where clicking on a file while browsing an FTP site does
not show its content. Instead only the associated application is launched and
either an error message, in case of kate, and/or a notification about the completion
of file copying is shown.

CCBUG:203445
CCBUG:181393
FIXED-IN:4.6.2

  (cherry picked from commit a1597d87a46e951fd62b632f250ee7ef223b51e4)

M  +10   -8    kioslave/ftp/ftp.cpp     

http://commits.kde.org/kdelibs/7f7af640fbb5c36a3a79de66be8bdb0222509a67